import { Object3D, BufferGeometry, LineSegments, ShaderMaterial, ObjectLoader } from "three";
import { Context } from "../context/context";
export declare class MergedAttributeGraphicLine extends Object3D {
    private context;
    line?: LineSegments;
    lineMaterial?: ShaderMaterial | null;
    lineGeometry?: BufferGeometry;
    options: Record<any, any> | null;
    loader: ObjectLoader;
    constructor(context: Context, options: Record<any, any> | null);
    init(): Promise<void>;
    initLineMaterial(): ShaderMaterial;
    initLineGeometry(): void;
    createBorder(): LineSegments<BufferGeometry<import("three").NormalBufferAttributes>, ShaderMaterial, import("three").Object3DEventMap>;
    dispose(): void;
}
